Cant install PyRx 0.9 on Ubuntu 14.04

Python Prescription - Virtual Screening Tool

[PyRx is no longer developed at MGL]

Moderator: sargis

Forum rules
[PyRx is no longer developed at MGL]

Cant install PyRx 0.9 on Ubuntu 14.04

Postby Koshi » Mon Sep 01, 2014 7:35 pm

I cant install PyRx 0.9(downloaded file have 127,3 MB) on Ubuntu 14.04(64bit). After typing in download directory:
chmod +x PyRx-0.9-Linux-x86-Install
./PyRx-0.9-Linux-x86-Install
nothing happends, not even any communique in terminal. I already had PyRx 0.9 installed and working on Ubuntu 12.04 and after update to 14.04 it still was working. But right now I reinstalled Ubuntu 14.04 and mentioned above problem appers.
After looking for solution in installing 32-bit support for 64bit Ubuntu i found those commands:
sudo apt-get install libc6:i386
sudo -i
cd /etc/apt/sources.list.d
echo "deb http://archive.ubuntu.com/ubuntu/ raring main restricted universe multiverse" >ia32-libs-raring.list
apt-get update
apt-get install ia32-libs
rm /etc/apt/sources.list.d/ia32-libs-raring.list
apt-get update
exit
sudo apt-get install gcc-multilib
And right now after typing:
chmod +x PyRx-0.9-Linux-x86-Install
./PyRx-0.9-Linux-x86-Install
That bug occurs:
invalid command name "bind"
while executing
"::unknown bind Text <Tab>"
("uplevel" body line 1)
invoked from within
"uplevel 1 $next $args"
(procedure "::obj::Unknown" line 3)
invoked from within
"bind Text <Tab>"
(procedure "::InstallJammer::InitializeGui" line 19)
invoked from within
"::InstallJammer::InitializeGui "
(procedure "::InstallJammer::InitInstall" line 63)
invoked from within
"::InstallJammer::InitInstall"
(file "/installkitvfs/main.tcl" line 38527)
Any idea how to fix it?
User avatar
Koshi
Millimolar User
Millimolar User
 
Posts: 2
Joined: Mon Sep 01, 2014 6:21 pm

Re: Cant install PyRx 0.9 on Ubuntu 14.04

Postby sargis » Tue Sep 02, 2014 6:11 am

Thank you for the message and sorry about the problems installing PyRx 0.9(32bit) on Ubuntu 14.04(64bit). Please consider purchasing PyRx 0.9.2 for 64-bit Linux from http://pyrx.sourceforge.net/downloads. Use coupon code ACADEMIC to receive 50% off your order.

I'll do my best to help you with any issue that may arise installing PyRx 0.9.2 for 64-bit Linux on Ubuntu 14.04(64bit).
User avatar
sargis
Picomolar User
Picomolar User
 
Posts: 583
Joined: Fri Oct 17, 2008 10:39 pm

Re: Cant install PyRx 0.9 on Ubuntu 14.04

Postby bsantoso » Fri Oct 03, 2014 12:10 pm

sargis wrote:Thank you for the message and sorry about the problems installing PyRx 0.9(32bit) on Ubuntu 14.04(64bit). Please consider purchasing PyRx 0.9.2 for 64-bit Linux from http://pyrx.sourceforge.net/downloads. Use coupon code ACADEMIC to receive 50% off your order.

I'll do my best to help you with any issue that may arise installing PyRx 0.9.2 for 64-bit Linux on Ubuntu 14.04(64bit).


Is it academic coupon valid for all kinds of OS? Can I use VCN for buy your software because I don't have "real" CC?

Thank you for your answer

bsantoso
User avatar
bsantoso
Micromolar User
Micromolar User
 
Posts: 12
Joined: Thu Nov 25, 2010 11:36 am

Re: Cant install PyRx 0.9 on Ubuntu 14.04

Postby sargis » Mon Oct 06, 2014 5:12 pm

bsantoso wrote:
sargis wrote:Thank you for the message and sorry about the problems installing PyRx 0.9(32bit) on Ubuntu 14.04(64bit). Please consider purchasing PyRx 0.9.2 for 64-bit Linux from http://pyrx.sourceforge.net/downloads. Use coupon code ACADEMIC to receive 50% off your order.

I'll do my best to help you with any issue that may arise installing PyRx 0.9.2 for 64-bit Linux on Ubuntu 14.04(64bit).


Is it academic coupon valid for all kinds of OS? Can I use VCN for buy your software because I don't have "real" CC?

Thank you fore the message. Yes, ACADEMIC coupon is valid for all kinds of OS. Regarding Virtual Card Numbers (VCN), you can safely use it to buy PyRx. Please let me know if there are any issues.
User avatar
sargis
Picomolar User
Picomolar User
 
Posts: 583
Joined: Fri Oct 17, 2008 10:39 pm

Re: Cant install PyRx 0.9 on Ubuntu 14.04

Postby bsantoso » Wed Jul 15, 2015 3:12 am

Dear Sargis.

Now, I can not buy PyRx for linux 64bit using VCN, last year I have done these before and successful. I don't have real CC. I need solution for how I can buy PyRx? Need your advice.

Thanks


bsantoso
User avatar
bsantoso
Micromolar User
Micromolar User
 
Posts: 12
Joined: Thu Nov 25, 2010 11:36 am

Re: Cant install PyRx 0.9 on Ubuntu 14.04

Postby sargis » Wed Jul 15, 2015 3:40 am

Dear Broto,

I'll be happy to help you with that. I've been using FastSpring as a trusted reseller for PyRx for the past two years and they have been great. I'll contact them about using VCN and will CC you on it.

Thanks,
Sargis
User avatar
sargis
Picomolar User
Picomolar User
 
Posts: 583
Joined: Fri Oct 17, 2008 10:39 pm

Re: Cant install PyRx 0.9 on Ubuntu 14.04

Postby bsantoso » Fri Jul 24, 2015 9:53 am

Thank you Sargis, my problem have been solved today. I have met my bank officer to solve it for two days and I have bought 64bit Linux version successfully this evening.

Thanks for your work.
User avatar
bsantoso
Micromolar User
Micromolar User
 
Posts: 12
Joined: Thu Nov 25, 2010 11:36 am

Re: Cant install PyRx 0.9 on Ubuntu 14.04

Postby sargis » Fri Jul 24, 2015 3:27 pm

Thank you for your order Broto. I appreciate your business.
User avatar
sargis
Picomolar User
Picomolar User
 
Posts: 583
Joined: Fri Oct 17, 2008 10:39 pm


Return to PyRx

Who is online

Users browsing this forum: No registered users and 2 guests